{*************************************************************************}
{*   Compiler                                                            *}
{*   Copyright (C) 2003 Marek Mauder, Vampyre SoftWorks                  *}
{*   Engine\Include\Compile.inc                                          *}
{*************************************************************************}

{$J-} // Writeable constants: off
{$A8} // Record alignment: 8 bytes
{$X+} // Extended syntax: on
{$Z4} // Min enum size: 4 bytes
{$H+} // string = AnsiString: on
{$T-} // Typed pointers: off
{$C+} // Assertions: on


{$IFDEF FPC}
  {$IFDEF WIN32}
    {$DEFINE MSWINDOWS}
  {$ENDIF}
  {$ASMMODE Intel}
{$ENDIF}

{$IFDEF VER150}
  {$WARN UNSAFE_CODE OFF}
  {$WARN UNSAFE_TYPE OFF}
  {$WARN UNSAFE_CAST OFF}
{$ENDIF}

{$WARN SYMBOL_DEPRECATED OFF}
{$WARN UNIT_DEPRECATED OFF}

{$IFNDEF BCB}
  {$IFNDEF FPC}
    {$IFNDEF LINUX}
      {$DEFINE DELPHI}
      {$IF Defined(VER150)}
         {$DEFINE DELPHI7}
      {$ELSEIF Defined(VER140)}
         {$DEFINE DELPHI6}
      {$IFEND}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

{$IF Defined(LINUX) and (not Defined(FPC))}
  {$DEFINE KYLIX}
{$IFEND}

{Define this symbol when creating module DLLs.
 This disables usage of some units (which you don't need in library)
 your DLL will be significantly smaller.}
{ $DEFINE MODLIBRARY}

{Use our custom memory manager.}
{$DEFINE USEMEMMGR}

{Define this symbol to use assembler versions of some functions and
 procedures (faster). You should add no-asm version of all asm functions
 you put into engine. Because maybe some day engine will work on non X86
 architecture. However you dont have to add non-asm versions in platform
 dependent units (which are used only with specific platform) e.g. CPUID
 in CPUX86Info (which can not be done without asm).
 Note that under Linux libraries are compiled to PIC code so assembler code
 can not use global variable (it can of course but asm code is different
 from normal). In this case some asm procedure which use globals are not used
 and non-asm ones are called.}
{$DEFINE ASMVERSIONS}

{Define this symbol to allow application to save logs into files.}
{$DEFINE LOGTOFILES}

{Define this when you are creating console application.
 All messages,... are written into console. If not defined all messages, ...
 creates windows for them (Some window managers and renderers are not
 accessible in console apps).
 Important: Under Windows this is set automaticaly if you choose
 APPTYPE CONSOLE.
 Under Linux all apps are console apps so use this define when
 you want engine to behave as console app.}
{$DEFINE CONSOLE}

{Define this when you want more info about program flow and other.
 Note that app compiled in debug mode runs slower.}
{$DEFINE DEBUG}
